FROM debian:bullseye-slim

RUN DEBIAN_FRONTEND=noninteractive apt update && apt install -y sudo curl apt-transport-https gpg ca-certificates

COPY ./tor.list /etc/apt/sources.list.d/tor.list

RUN curl -L -S -s https://deb.torproject.org/torproject.org/A3C4F0F979CAA22CDBA8F512EE8CBC9E886DDD89.asc | gpg --dearmor | tee /usr/share/keyrings/tor-archive-keyring.gpg >/dev/null && DEBIAN_FRONTEND=noninteractive apt update && apt install -y tor deb.torproject.org-keyring

RUN DEBIAN_FRONTEND=noninteractive apt install -y git


RUN DEBIAN_FRONTEND=noninteractive apt update && apt install -y php php-fpm php-mysql php-curl php-gd php-mbstring php-xml php-xmlrpc php-soap php-intl php-zip php-common php-imagick imagemagick zip unzip

# persistent dependencies
RUN set -eux; \
	apt-get update; \
	apt-get install -y --no-install-recommends \
# Ghostscript is required for rendering PDF previews
		ghostscript \
	; \
	rm -rf /var/lib/apt/lists/*


# Debian CIS apply tests
RUN git clone https://github.com/ovh/debian-cis.git && \
	cd debian-cis && \
	cp debian/default /etc/default/cis-hardening && \
	sed -i "s#CIS_ROOT_DIR=.*#CIS_ROOT_DIR='$(pwd)'#" /etc/default/cis-hardening && \	
	bin/hardening.sh --sudo --allow-unsupported-distribution --apply

ENV LANG=C.UTF-8

COPY . /root

WORKDIR /root
RUN chmod +x /root/entrypoint.sh
ENTRYPOINT ["/root/entrypoint.sh"]










































#ENV PHP_PORT 9000
#EXPOSE $PHP_PORT
#
#RUN apk add --no-cache --virtual .runtime-deps \
#                gnupg \
#                icu \
#                imagemagick \
#                libgomp \
#                libpng \
#                libpq \
#                libtool \
#                libxslt \
#                libzip \
#                oniguruma \
#                unzip \
#                wget \
#                zip
#				
#RUN set -xe \
#        && apk add --no-cache --virtual .build-deps \
#            $PHPIZE_DEPS \
#            freetype-dev \
#            git \
#            icu-dev \
#            imagemagick-dev \
#            libjpeg-turbo-dev \
#            libmcrypt-dev \
#            libpng-dev \
#            libpq-dev \
#            libwebp-dev \
#            libxpm-dev \
#            libxslt-dev \
#            libzip-dev \
#            oniguruma-dev \
#            pcre-dev \
#            zlib-dev \
#        && export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" \
#        && git clone https://github.com/Imagick/imagick \
#        && cd imagick \
#        && phpize && ./configure \
#        && make \
#        && make install \
#        && cd ../ \
#        && rm -rf imagick \
#        && docker-php-ext-enable imagick \
#        && docker-php-ext-configure zip \
#        && docker-php-ext-configure gd --with-freetype=/usr/include/ --with-jpeg=/usr/include/ \
#        && docker-php-ext-install \
#            bcmath \
#            exif \
#            gd \
#            intl \
#            mbstring \
#            opcache \
#            pdo_mysql \
#            pdo_pgsql \
#            xsl \
#            zip \
#        && apk del .build-deps \
#        && rm -rf /tmp/*
#
#ENTRYPOINT ["/etc/php/entrypoint.sh"]
#
#CMD ["php-fpm"]